Bug 698369 - max_restarts and restart_expire_time ignored when VM dies repeatedly
max_restarts and restart_expire_time ignored when VM dies repeatedly
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.6
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-20 13:57 EDT by digimer
Modified: 2012-06-15 09:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-15 09:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
related cluster.conf (3.70 KB, text/plain)
2011-04-20 13:57 EDT, digimer
no flags Details

  None (edit)
Description digimer 2011-04-20 13:57:45 EDT
Created attachment 493568 [details]
related cluster.conf

Description of problem:

I set a (Xen) vm service to have <vm ... recovery="restart" max_restarts="2" restart_expire_time="600" />, which is part of a two-node ordered failover domain. When I repeatedly crash the guest using 'echo c > /proc/sysrq-trigger', the VM is restarted reliably, but always on the node it was last running on.

Version-Release number of selected component (if applicable):

cman-2.0.115-68.el5
rgmanager-2.0.52-9.el5

How reproducible:

100%

Steps to Reproduce:
1. Create a two-node cluster with a vm service in an ordered failover domain.
2. Crash the VM sufficient times to exceed the maximum restart counting within the restart recovery time.
3. VM will not migrate.
  
Actual results:

VM always restarts, doesn't relocate.

Expected results:

To relocate when limits are exceeded.

Additional info:

Attached very slightly modified cluster.conf.
Comment 1 RHEL Product and Program Management 2012-05-15 14:58:04 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.

Note You need to log in before you can comment on or make changes to this bug.